Bug 246650 - Telepathy-integration-daemon often crashes at startup
Summary: Telepathy-integration-daemon often crashes at startup
Status: RESOLVED NOT A BUG
Alias: None
Product: telepathy
Classification: Unclassified
Component: nepomuk-service (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR crash
Target Milestone: 0.4.0
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2010-08-03 23:36 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2010-08-03 23:36:26 UTC
Application: telepathy-integration-daemon (0.1)
KDE Platform Version: 4.5.62 (KDE 4.5.62 (KDE 4.6 >= 20100729)) (Compiled from sources)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-24-generic x86_64
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
Setting a telepathy account online immediately after logging into the system causes telepathy-integration-daemon to crash.
This is probably due to Nepomuk not being ready yet.

The log is contains several errors like those:

telepathy-integration-daemon(19763)/nepomuk (library) <unnamed>::GlobalModelContainer::init: Failed to connect to Nepomuk server via local socket "/home/kdedevel/.devel/kde/share/apps/nepomuk/socket"

"/opt/kde/bin/telepathy-integration-daemon(19763)" Soprano: "Unsupported operation (2)": "Invalid model"

"/opt/kde/bin/telepathy-integration-daemon(19763)" Soprano: "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"

telepathy-integration-daemon(19763)/nepomuk (library) Nepomuk::Query::QueryServiceClient::query: Could not contact query service.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Telepathy Integration Daemon (telepathy-integration-daemon), signal: Aborted
[KCrash Handler]
#6  0x00007f6098a0ca75 in raise () from /lib/libc.so.6
#7  0x00007f6098a105c0 in abort () from /lib/libc.so.6
#8  0x00007f609a99e28d in qt_message_output (msgType=QtFatalMsg, buf=0x118f898 "ASSERT: \"!isEmpty()\" in file /opt/kde/include/QtCore/qlist.h, line 263")
    at /opt/kde/src/drfs-kde-qt/src/corelib/global/qglobal.cpp:2250
#9  0x00007f609a99e48f in qt_message (msgType=QtFatalMsg, msg=0x7f609ab604f8 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fff8f355b60) at /opt/kde/src/drfs-kde-qt/src/corelib/global/qglobal.cpp:2296
#10 0x00007f609a99ecfc in qFatal (msg=0x7f609ab604f8 "ASSERT: \"%s\" in file %s, line %d") at /opt/kde/src/drfs-kde-qt/src/corelib/global/qglobal.cpp:2479
#11 0x00007f609a99de1f in qt_assert (assertion=0x47faf8 "!isEmpty()", file=0x47fad8 "/opt/kde/include/QtCore/qlist.h", line=263) at /opt/kde/src/drfs-kde-qt/src/corelib/global/qglobal.cpp:2013
#12 0x000000000041c264 in QList<QString>::first (this=0x7fff8f356050) at /opt/kde/include/QtCore/qlist.h:263
#13 0x0000000000417d3c in TelepathyContact::doNepomukSetup (this=0x1190320) at /opt/kde/src/trunk/playground/network/telepathy-integration-daemon/telepathycontact.cpp:162
#14 0x00000000004165f6 in TelepathyContact (this=0x1190320, contact=..., connection=..., accountResource=..., parent=0x1121280)
    at /opt/kde/src/trunk/playground/network/telepathy-integration-daemon/telepathycontact.cpp:102
#15 0x000000000040d67c in TelepathyAccount::onContactsUpgraded (this=0x1121280, op=0x11789b0) at /opt/kde/src/trunk/playground/network/telepathy-integration-daemon/telepathyaccount.cpp:305
#16 0x000000000040f198 in TelepathyAccount::qt_metacall (this=0x1121280, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff8f356660)
    at /opt/kde/build/trunk/playground/network/telepathy-integration-daemon/telepathyaccount.moc:100
#17 0x00007f609aadeabb in QMetaObject::metacall (object=0x1121280, cl=QMetaObject::InvokeMetaMethod, idx=9, argv=0x7fff8f356660) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qmetaobject.cpp:237
#18 0x00007f609aaf4f39 in QMetaObject::activate (sender=0x11789b0, m=0x7f6099f0afc0, local_signal_index=0, argv=0x7fff8f356660) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qobject.cpp:3293
#19 0x00007f6099bff4bf in Tp::PendingOperation::finished (this=0x4d33, _t1=0x11789b0) at ../TelepathyQt4/_gen/pending-operation.moc.hpp:98
#20 0x00007f6099bff501 in Tp::PendingOperation::emitFinished (this=0x11789b0) at pending-operation.cpp:106
#21 0x00007f6099c01684 in Tp::PendingOperation::qt_metacall (this=0x11789b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff8f3567b0)
    at ../TelepathyQt4/_gen/pending-operation.moc.hpp:86
#22 0x00007f6099bf70f0 in Tp::PendingContacts::qt_metacall (this=0x4d33, _c=19763, _id=6, _a=0xffffffffffffffff) at ../TelepathyQt4/_gen/pending-contacts.moc.hpp:75
#23 0x00007f609aadeabb in QMetaObject::metacall (object=0x11789b0, cl=QMetaObject::InvokeMetaMethod, idx=8, argv=0x7fff8f3567b0) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qmetaobject.cpp:237
#24 0x00007f609aaf4f39 in QMetaObject::activate (sender=0x11891d0, m=0x7f609ae52400, local_signal_index=0, argv=0x0) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qobject.cpp:3293
#25 0x00007f609aafeadf in QSingleShotTimer::timeout (this=0x11891d0) at .moc/debug-shared/qtimer.moc:82
#26 0x00007f609aafe9af in QSingleShotTimer::timerEvent (this=0x11891d0) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qtimer.cpp:308
#27 0x00007f609aaf070b in QObject::event (this=0x11891d0, e=0x7fff8f357070) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qobject.cpp:1212
#28 0x00007f60978c6630 in QApplicationPrivate::notify_helper (this=0xf94ac0, receiver=0x11891d0, e=0x7fff8f357070) at /opt/kde/src/drfs-kde-qt/src/gui/kernel/qapplication.cpp:4304
#29 0x00007f60978c3b35 in QApplication::notify (this=0x7fff8f3574e0, receiver=0x11891d0, e=0x7fff8f357070) at /opt/kde/src/drfs-kde-qt/src/gui/kernel/qapplication.cpp:3708
#30 0x00007f60971ccd99 in KApplication::notify (this=0x7fff8f3574e0, receiver=0x11891d0, event=0x7fff8f357070) at /opt/kde/src/trunk/KDE/kdelibs/kdeui/kernel/kapplication.cpp:309
#31 0x00007f609aad695c in QCoreApplication::notifyInternal (this=0x7fff8f3574e0, receiver=0x11891d0, event=0x7fff8f357070) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qcoreapplication.cpp:704
#32 0x00007f609aada937 in QCoreApplication::sendEvent (receiver=0x11891d0, event=0x7fff8f357070) at ../../include/QtCore/../../../../src/drfs-kde-qt/src/corelib/kernel/qcoreapplication.h:215
#33 0x00007f609ab171c7 in QTimerInfoList::activateTimers (this=0xf985a0) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qeventdispatcher_unix.cpp:603
#34 0x00007f609ab1248f in timerSourceDispatch (source=0xf98540) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qeventdispatcher_glib.cpp:184
#35 0x00007f609ab12576 in idleTimerSourceDispatch (source=0xf98600) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qeventdispatcher_glib.cpp:231
#36 0x00007f609648b8c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#37 0x00007f609648f748 in ?? () from /lib/libglib-2.0.so.0
#38 0x00007f609648f8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#39 0x00007f609ab13927 in QEventDispatcherGlib::processEvents (this=0xf6e0a0, flags=...) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qeventdispatcher_glib.cpp:412
#40 0x00007f60979b047c in QGuiEventDispatcherGlib::processEvents (this=0xf6e0a0, flags=...) at /opt/kde/src/drfs-kde-qt/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#41 0x00007f609aad3954 in QEventLoop::processEvents (this=0x7fff8f357440, flags=...) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qeventloop.cpp:149
#42 0x00007f609aad3aaa in QEventLoop::exec (this=0x7fff8f357440, flags=...) at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qeventloop.cpp:201
#43 0x00007f609aad705e in QCoreApplication::exec () at /opt/kde/src/drfs-kde-qt/src/corelib/kernel/qcoreapplication.cpp:981
#44 0x00007f60978c36bc in QApplication::exec () at /opt/kde/src/drfs-kde-qt/src/gui/kernel/qapplication.cpp:3583
#45 0x000000000041e26d in main (argc=1, argv=0x7fff8f357758) at /opt/kde/src/trunk/playground/network/telepathy-integration-daemon/main.cpp:85

Reported using DrKonqi
Comment 1 Daniele E. Domenichelli 2010-08-30 15:27:57 UTC
That was a problem in my kde-trunk configuration. Closing this bug.